summaryrefslogtreecommitdiff
path: root/git/push.sh
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2011-08-30 16:37:11 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2011-08-30 16:37:11 +0200
commit8899a8271338ba19f32bae1b30e0df0392afe1bc (patch)
tree6644c5b51a302da9c6f1e35e5478707aa6cc321f /git/push.sh
parent7da455da65d4c6ca7c58cf915f158349184373f0 (diff)
Add error handling to git scripts
Diffstat (limited to 'git/push.sh')
-rwxr-xr-xgit/push.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/git/push.sh b/git/push.sh
index cd1c1b8..d288f3a 100755
--- a/git/push.sh
+++ b/git/push.sh
@@ -25,5 +25,10 @@ for i in $modules; do
git push $ops origin $1
fi
+ if [ $? -ne 0 ]; then
+ echo "push FAILED" 1>&2
+ exit 1
+ fi
+
cd $wd
done